Runtime

## org.eclipse.gmf.runtime.emf.clipboard.core
Class PasteAction

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.runtime.emf.clipboard.core.PasteAction

All Implemented Interfaces:
  Enumerator

public class PasteAction
extends AbstractEnumerator

An enumeration of actions to resolve paste collisions.

Field Summary
`static PasteAction` `ADD` Indicates that that the collision should be resolved by just adding the conflicting pasted element with an altered name to distinguish it from the existing one.
`static PasteAction` `CLONE` Indicates that that the collision should be resolved by just adding the conflicting pasted element with an altered name to distinguish it from the existing one.
`static PasteAction` `DISCARD` Indicates that the collision should be resolved by discarding the new element (not pasting it).
`static PasteAction` `IGNORE` Indicates that the collision should be resolved by just not doing anything.
`static PasteAction` `MERGE` Indicates that the collision should be resolved by merging the new element into the existing one.
`static PasteAction` `NO_ACTION` The "undefined" value.
`static PasteAction` `REPLACE` Indicates that the collision should be resolved by replacing the existing element with the new one.

Method Summary
`protected java.util.List` `getValues()` Retrieves the list of constants for this enumerated type.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADD

    public static final PasteAction ADD

  Indicates that that the collision should be resolved by just adding the conflicting pasted element with an altered name to distinguish it from the existing one. Note that for scalar references, this is equivalent to a `PasteAction.REPLACE`.

### CLONE

    public static final PasteAction CLONE

  Indicates that that the collision should be resolved by just adding the conflicting pasted element with an altered name to distinguish it from the existing one. Note that for scalar references, this is equivalent to a `PasteAction.REPLACE`.

### DISCARD

    public static final PasteAction DISCARD

  Indicates that the collision should be resolved by discarding the new element (not pasting it).

### IGNORE

    public static final PasteAction IGNORE

  Indicates that the collision should be resolved by just not doing anything. The new element will not be pasted.

### MERGE

    public static final PasteAction MERGE

  Indicates that the collision should be resolved by merging the new element into the existing one. The merge will be strong or weak according to the merge hints provided to the paste operation.

### NO_ACTION

    public static final PasteAction NO_ACTION

  The "undefined" value. This is an invalid paste action, which can be used to indicate that the determination of an appropriate paste action has not been done.

### REPLACE

    public static final PasteAction REPLACE

  Indicates that the collision should be resolved by replacing the existing element with the new one.

Method Detail

### getValues

    protected java.util.List getValues()

  Retrieves the list of constants for this enumerated type.

  Returns:
    The list of constants for this enumerated type.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.